
Foreman - Bug #5788

before_destroy missing from EnsureNotUsedBy.new in SmartProxy model

05/19/2014 12:55 PM - Joseph Magen

Status: Closed   

Priority: Normal   

Assignee: Joseph Magen   

Category: Rails   

Target version: 1.5.1   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link: 1107687 Red Hat JIRA:  

Pull request:    

Description

Related issues:

Related to Foreman - Bug #5904: Deleting a smart proxy should be easier due t... New 05/23/2014

Has duplicate Smart Proxy - Bug #5903: Deleting smart proxy from GUI fails Duplicate 05/23/2014

Has duplicate Hammer CLI - Bug #4033: Need a clearer / user friendly message ... Duplicate 01/16/2014

Has duplicate Foreman - Bug #3194: Ugly errors when destroy actions are stopp... Duplicate 10/03/2013

Has duplicate Foreman - Bug #4415: FK error when deleting a smart proxy Duplicate 02/23/2014

Associated revisions

Revision f20ddfe4 - 05/20/2014 03:48 PM - Joseph Magen

fixes #5788 - before_destroy missing from EnsureNotUsedBy.new in SmartProxy model

Revision c80690aa - 06/11/2014 01:02 PM - Joseph Magen

fixes #5788 - before_destroy missing from EnsureNotUsedBy.new in SmartProxy model

(cherry picked from commit f20ddfe477163711f3a274eda727d6028d2cbbcd)

History

#1 - 05/19/2014 01:07 PM - Joseph Magen

- Status changed from Assigned to Ready For Testing

https://github.com/theforeman/foreman/pull/1453

#2 - 05/20/2014 03:48 PM - Dominic Cleal

- Category set to Rails

- translation missing: en.field_release set to 16

#3 - 05/20/2014 04:31 PM - Joseph Magen

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset f20ddfe477163711f3a274eda727d6028d2cbbcd.

#4 - 05/23/2014 10:01 AM - Dominic Cleal

- Has duplicate Bug #5903: Deleting smart proxy from GUI fails added

#5 - 05/23/2014 10:05 AM - Dominic Cleal

- Has duplicate Bug #4033: Need a clearer / user friendly message when deletion of smart proxy fails added
https://github.com/theforeman/foreman/pull/1453
https://projects.theforeman.org/projects/foreman/repository/foreman/revisions/f20ddfe477163711f3a274eda727d6028d2cbbcd


#6 - 05/23/2014 10:06 AM - Dominic Cleal

- Has duplicate Bug #3194: Ugly errors when destroy actions are stopped by FKs added

#7 - 05/23/2014 10:07 AM - Dominic Cleal

- Has duplicate Bug #4415: FK error when deleting a smart proxy added

#8 - 05/23/2014 10:11 AM - Dominic Cleal

- Related to Bug #5904: Deleting a smart proxy should be easier due to number of associations added

#9 - 06/10/2014 12:47 PM - Bryan Kearney

- Bugzilla link set to https://bugzilla.redhat.com/show_bug.cgi?id=1107687
